c# 3.0 doesn't contain LINQ, that would be c#3.5

 

(or .net framework 3.5) Not c# per sei.